FONTFORGE(1)

NAME
fontforge - create and modify PostScript, TrueType and SVG fonts

SYNOPSIS
fontforge [-c string] [-cmap maptype] [-depth pixeld] [-display str] [-lang=ff] [-lang=py] [-last] [-library-status] [-help] [-keyboard ktype] [-new] [-nosplash] [-recover mode] [-script file] [-sync] [-usage] [-vc vclass] [-version] fontfile ...

DESCRIPTION
The program fontforge allows you to create and modify font files, accepting input in the following formats (with associated file extensions appearing in parentheses):

Glyph Bitmap Distribution (.bdf)

Macintosh resource fonts (.dfont, .bin, .hqx)

OpenType (.otf)

fontforge spline font database (.sfd)

POSTSCRIPT, which includes:

    ASCII format (.pfa)

    Binary format (.pfb)

    CID-keyed fonts, Adobe convention used primarily for Asian characters (.cid, .otf)

    POSTSCRIPT Type 0 (.ps)

    POSTSCRIPT Type 3 (.ps)

Scaleable vector graphics fonts (.svg)

TeX bitmap (.pk)

TrueType (.ttf, .ttc)

X11 bitmap (.pcf)

If the argument list contains a font file name (or several), fontforge opens a fontview window for each font displaying the characters of the that font. In the absence of options or arguments, the program opens a file-picker window, allowing you to browse your disk to find a font file, or create a new one.

This manual page is intended only as a rudimentary overview; see the HTML Users Manual for more complete information.

OPTIONS

-c string
    Must be the first argument. Executes "string" as a set of scripting commands. Any additional arguments will be passed to the script.

-cmap maptype
    Employ the specified method to control 8-bit colormaps, where maptype assumes one of these three values:

    current
        Attempt to allocate colors in the current (shared) colormap. The program will likely not find everything it requires.

    copy
        Allocate what can be allocated, then copy the current colormap; it can thus make use of cells other programs are using.

    private
        Create a new colormap and fill it with the required colors.

-depth pixeld
    Attempt to employ a visual that matches the specified pixel depth, pixeld.

-display str
    Employ the X display specified by the string str (for example: localhost:0).

-help
    Display the usage description and start a web client displaying the online documentation.

-keyboard ktype
    Alter the displayed menus to employ modifier keys appropriate to the specified keyboard type, where ktype assumes one of the following four values:

    ibm IBM PC type keyboard.

    mac Apple Macintosh keyboard.

    sun Sun workstation keyboard.

    ppc Macintosh keyboard, but on a system running SuSe linux (the mappings differ from those used under MacOS X).

-last
    Opens whatever font you last edited with fontforge. If you specify n -last fontforge will open the last n fonts.

-lang=ff
    Interpret the script with the fontforge interpreter.

-lang=py
    Interpret the script with the python interpreter.

-library-status
    Prints information about optional libraries.

-new
    Create a new font with the ISO 8859-1 encoding (the international encoding standard for western Europe, and the standard for most X fonts).

-nosplash
    Suppress display of the splash screen.

-recover mode
    Control the crash recovery mechanism (helpful if crash recovery causes problems), where mode takes on one of three allowed settings:

    auto
        perform automatic recovery (default) if the program crashed before saving changes.

    clean
        Delete recovery information.

    none
        Suppress crash recovery.

-script file
    Execute the script named file. Does not open the X display. This must be the first argument passed to fontforge. Any other arguments are handled by the scriptfile itself. Any other command line arguments will be passed to the script. The program contains a command interpreter which allows access to most but not all of its interactive features. If a scriptfile is executable, and if its first line contains the string "fontforge", then the argument -script may be omitted. This means that fontforge can be used as an interpreter.

-sync
    Make X synchronous. Used primarily for debugging, this option slows X down.

-usage
    Display the usage description.

-vc vclass
    Attempt to use a visual that matches the class, vclass, specified as either the name of a visual class or an integer enumerating a visual class.

-version
    Display the current version (a six digit string containing the date stamp of the source files).

ENVIRONMENT
If any of the following environment variables exist, they are used:

BROWSER
    Specifies the name of a browser program for examining documentation.

AUTOTRACE
    Specifies the location of the autotrace program (usually FontForge can figure this out without help, but not always).

MF  Specifies the location of the metafont program.

FONTFORGE_VERBOSE
    Turns on verbose mode in scripting. Each statement is printed as it is executed.

FILES

~/.PfaEdit/autosave/
    crash recovery directory

/usr/local/share/fontforge/*.ui
    translations for the user interface

/usr/local/share/doc/fontforge/*.html
    optional location for online documentation.

/usr/local/share/fontforge/*.cidmap
    "encoding" files for Adobe's cid formats from http://fontforge.sourceforge.net/cidmaps.tgz

SEE ALSO
sfddiff(1)

The HTML version of the fontforge manual, available online at:

http://fontforge.sourceforge.net/

NOTE
fontforge used to be called pfaedit.

AUTHOR
Copyright (C) 2000-2007 by George Williams (gww@silcom.com). Original manual page by Tom Harvey, subsequently modified by George Williams. Heavily rewritten and modified to use standard -man (5) macros by R.P.C. Rodgers (rodgers@nlm.nih.gov), 23 October 2002.

BUGS
Undoubtedly many, but unknown and ever changing. See

    http://fontforge.sourceforge.net/#known-bugs for a current list.